SuperResCfg Struct Reference

Encoder config related to frame super-resolution. More...

`#include <encoder.h>`

## Data Fields

int | superres_qthresh
int | superres_kf_qthresh
uint8_t | superres_scale_denominator
uint8_t | superres_kf_scale_denominator
aom_superres_mode | superres_mode
bool | enable_superres

## Detailed Description

Encoder config related to frame super-resolution.

## Field Documentation

## superres_qthresh

int SuperResCfg::superres_qthresh

Indicates the qindex based threshold to be used when AOM_SUPERRES_QTHRESH mode is used for inter frames.

## superres_kf_qthresh

int SuperResCfg::superres_kf_qthresh

Indicates the qindex based threshold to be used when AOM_SUPERRES_QTHRESH mode is used for key frames.

## superres_scale_denominator

uint8_t SuperResCfg::superres_scale_denominator

Indicates the denominator of the fraction that specifies the ratio between the superblock width before and after upscaling for inter frames. The numerator of this fraction is equal to the constant SCALE_NUMERATOR.

## superres_kf_scale_denominator

uint8_t SuperResCfg::superres_kf_scale_denominator

Indicates the denominator of the fraction that specifies the ratio between the superblock width before and after upscaling for key frames. The numerator of this fraction is equal to the constant SCALE_NUMERATOR.

## superres_mode

aom_superres_mode SuperResCfg::superres_mode

Indicates the Super-resolution mode to be used by the encoder.

## enable_superres

bool SuperResCfg::enable_superres

Flag to indicate if super-resolution should be enabled for the sequence.

The documentation for this struct was generated from the following file:

- av1/encoder/encoder.h